﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS3000 Self-Test IEEE
INSTRUMENT:            Sub Tek TDS3000 Signal Path Compensation Cal IEEE
INSTRUMENT:            Sub Tek TDS3000 Select Channel IEEE
INSTRUMENT:            Sub Tek TDS3000 Trigger Check and Level Adjust IEEE
DATE:                  2010-08-03 10:27:46
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       198
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        TDS 3000 Series
#        TDS 3000B Series
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SELF_TEST                    PSUBI("Self-Test")
  1.002  JMPL         SIGNAL_PATH_COMPENSATION     PSUBI("Signal Path Comp")
  1.003  JMPL         SELECT_CHANNEL               PSUBI("Select Channel")
  1.004  JMPL         TRIGGER                      PSUBI("Trigger Check")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment step number

#******************************* Self-Test ***********************************

  2.001  LABEL        SELF_TEST
  2.002  RSLT         =
  2.003  HEAD         SELF TEST
  2.004  TARGET
  2.005  DISP         Remove all input signals.
  2.005  DISP
  2.005  DISP         During the self-test, the UUT display will flash
  2.005  DISP         and display multiple-line patterns at times. This
  2.005  DISP         is normal behavior.

# Send commands to start the self-test
  2.006  IEEE2        DIA:SEL:ALL ALL

# Send commands to start the self-test
  2.007  IEEE2        [T1000000]DIA:STATE EXEC

# Return result of diagnostics
  2.008  IEEE2        DIA:RESU:FLA?[I$]

  2.009  MATH         SelfTestPassed = FINDI(MEM2, "PASS", 1)
  2.010  EVAL   -e SelfTestPassed : SELF TEST

  3.001  IEEE2        CLEARM
  3.002  MATH         @Abort = NOT(SelfTestPassed)

  3.003  IF           @Abort
  3.004  DISP         SELF TEST failed!
  3.004  DISP
  3.004  DISP         The UUT may need be serviced.
  3.004  DISP
  3.004  DISP         Press Advance to terminate the procedure.
  3.005  ENDIF

  3.006  HEAD
  3.007  END

  3.008  EVAL   Increment step number

#**************** Signal Path Compensation Calibration **********************

  4.001  LABEL        SIGNAL_PATH_COMPENSATION

  4.002  RSLT         =
  4.003  HEAD         SIGNAL PATH COMPENSATION
  4.004  OPBR         -z It is recommended that a Signal Path Compensation
  4.004  OPBR         Test be performed before running the performance Test.
  4.004  OPBR         It is only necessary to run this test one time.
  4.004  OPBR         Do you want to run the Signal Path Compensation Test?

  4.005  IF           MEM1
  4.006  DISP         Remove all connections from the UUT.
  4.006  DISP
  4.006  DISP         The Signal Path Compensation will execute several
  4.006  DISP         minutes.
  4.007  MATH         @Abort = 0

# Send commands to start the internal signal path calibration (SPC).
  4.008  IEEE2        [T1000000]CAL:INTERN:STAR

# Query the stutus of SPC operation.
  4.009  IEEE2        [T1000000]CAL:INTERN:STATUS?[I$]
  4.010  EVAL   -e FINDI(MEM2, "PASS", 1) : SIGNAL PATH COMPENSATION

  5.001  IF           NOT(FINDI(MEM2, "PASS", 1))
  5.002  DISP         SIGNAL PATH COMPENSATION FAILED!
  5.002  DISP
  5.002  DISP         The UUT may need be serviced.
  5.002  DISP
  5.002  DISP         Procedure will be aborted.
  5.003  MATH         @Abort = 1
  5.004  ENDIF

  5.005  ENDIF

  5.006  HEAD
  5.007  IEEE2        CLEARM
  5.008  END

  5.009  EVAL   Increment step number

#*************************** Select Channel ****************************

  6.001  LABEL        SELECT_CHANNEL

  6.002  IF           @NumChan == 2

  6.003  IF           @Chan == 1
  6.004  IEEE2        SELECT:CH1 ON;CH2 OFF
  6.005  ELSE
  6.006  IEEE2        SELECT:CH1 OFF;CH2 ON
  6.007  ENDIF

  6.008  ELSE         ; 4 Channel Scope

  6.009  IF           @Chan == 1
  6.010  IEEE2        SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
  6.011  ELSEIF       @Chan == 2
  6.012  IEEE2        SELECT:CH1 OFF;CH2 ON;CH3 OFF;CH4 OFF
  6.013  ELSEIF       @Chan == 3
  6.014  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 ON;CH4 OFF
  6.015  ELSE
  6.016  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 ON
  6.017  ENDIF

  6.018  ENDIF

  6.019  END

  6.020  EVAL   Increment step number

#*************************** Trigger Check ************************

  7.001  LABEL        TRIGGER
  7.002  IEEE2        TRIG:A:SETLEVEL
  7.003  WAIT         -t 5 System Settling...
  7.004  IEEE2        TRIG:STATE?[I$]
  7.005  MATH         @Triggered = FIND(MEM2, "TRIG", 1)

  7.006  IF           NOT(@Triggered)
  7.007  MATH         PeakVal = @PeakVal / 1E+3
  7.008  MATH         StepInc = PeakVal / 10
  7.009  MATH         PosPeak = PeakVal + StepInc
  7.010  MATH         NegPeak = 0 - PeakVal / 2

  7.011  DO
  7.012  MATH         PosPeak = PosPeak - StepInc
  7.013  IEEE2        TRIG:MAI:LEV [V PosPeak]
  7.014  WAIT         -t 3 UUT Settling...
  7.015  IEEE2        TRIG:STATE?[I$]
  7.016  MATH         @Triggered = FIND(MEM2, "TRIG", 1)
  7.017  UNTIL        @Triggered || (PosPeak < NegPeak)

  7.018  ENDIF

  7.019  END
